Vue初学29-webpack安装vue

项目中要想使用vuejs,必须对vue添加依赖,首先,安装vue。

通过命令

npm install vue --save

因为vue不只是在开发时使用,发布的时候也会使用,所以不加--dev

安装完成后,在node_modules目录下会生成vue目录,如下

Vue初学29-webpack安装vue_第1张图片 

使用vue之前需要先引入vue,在main.js中添加如下代码

import Vue from 'vue'

const vue = new Vue({
    el:'#app',
    data:{
        message:'hello world'
    }
})

index.html中,body下添加div标签

{{message}}

重新打包,运行,报错。。。大概的意识是vue有两个版本runtime-only和compiler-included,使用runtime-only版本时模板的使用会有问题。因此,需要指定使用compiler-included版本。

在webpack.config.js中添加如下配置,指定vue使用compiler-included版本。

Vue初学29-webpack安装vue_第2张图片

重新打包,问题解决。

你可能感兴趣的